;; Copyright 2008, 2009, 2013, 2014, 2015, 2016 Kevin Ryde.

;; This file is part of pcf2bdf-el.
;;
;; pcf2bdf-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; pcf2bdf-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with pcf2bdf-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (autoload 'pcf2bdf "pcf2bdf" nil t)
  (modify-coding-system-alist 'file "\\.pcf\\'" 'raw-text-unix)
  (add-to-list 'auto-mode-alist '("\\.pcf\\'" . pcf2bdf))
  (find-file "/tmp/decsess.pcf")
  )

(auto-compression-mode 0)
(auto-compression-mode 1)
(find-file "/usr/share/fonts/X11/100dpi/charB08.pcf.gz")
(find-file "/usr/share/fonts/X11/misc/cursor.pcf.gz")
(find-file "/usr/share/fonts/X11/misc/jiskan16.pcf.gz")
(find-file "/tmp/cursor.pcf")





(let ((tempfile "/tmp/x.el")
      (print-level nil))
  (require 'autoload)
  (find-file tempfile)
  (erase-buffer)
  (generate-file-autoloads "../pcf2bdf.el")
  (save-buffer)
  (byte-compile-file tempfile)
  (delete-file (concat tempfile "c"))
  (delete-file tempfile))


;;-----------------

(let ((str "An internal part of pcf2bdf.el.
Run bdftopcf or pcf2bdf on the current buffer.

COMMAND is a string \"bdftopcf\" or \"pcf2bdf\", the program to
run.  Program output replaces the buffer contents.

ORIGINATING-BUFFER is the source buffer for when running bdftopcf.
This might be different from the current buffer.  It's recorded
as the place to go for errors."))
  (and (string-match "internal part.*?\\([a-z0-9-]*\\.el\\)" str)
       (match-string 1 str)))


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

